as.adp {oce} | R Documentation

## Create an ADP Object

### Description

Create an ADP Object

### Usage

    as.adp(time, distance, v, a = NULL, q = NULL, orientation = "upward",
      coordinate = "enu")

### Arguments

`time` | of observations in POSIXct format
`distance` | to centre of bins
`v` | array of velocities, with first index for time, second for bin number, and third for beam number
`a` | amplitude, a `raw` array with dimensions matching `u`
`q` | quality, a `raw` array with dimensions matching `u`
`orientation` | a string indicating sensor orientation, e.g. `"upward"` and `"downward"`
`coordinate` | a string indicating the coordinate system, `"enu"`, `"beam"`, `"xy"`, or `"other"`

### Details

Construct an object of `adp-class`. Only a basic subset of the typical `data` slot is represented in the arguments to this function, on the assumption that typical usage in reading data is to set up a nearly-blank `adp-class` object, the `data` slot of which is then inserted. However, in some testing situations it can be useful to set up artificial `adp` objects, so the other arguments may be useful.

### Value

An object of `adp-class`.

### Author(s)

Dan Kelley

### See Also

Other things related to `adp` data: `[[,adp-method`, `[[<-,adp-method`, `adp-class`, `adpEnsembleAverage`, `adp`, `beamName`, `beamToXyzAdp`, `beamToXyzAdv`, `beamToXyz`, `beamUnspreadAdp`, `binmapAdp`, `enuToOtherAdp`, `enuToOther`, `plot,adp-method`, `read.ad2cp`, `read.adp.nortek`, `read.adp.rdi`, `read.adp.sontek.serial`, `read.adp.sontek`, `read.adp`, `read.aquadoppHR`, `read.aquadoppProfiler`, `read.aquadopp`, `subset,adp-method`, `summary,adp-method`, `toEnuAdp`, `toEnu`, `velocityStatistics`, `xyzToEnuAdp`, `xyzToEnu`

### Examples

    data(adp)
    t <- adp[["time"]]
    d <- adp[["distance"]]
    v <- adp[["v"]]
    a <- as.adp(time=t, distance=d, v=v)
    ## Not run:
    plot(a)

    ## End(Not run)

[Package oce version 0.9-22 Index]